#! /bin/sh

if [ ! -d /usr/local/vicompress ]
then
  echo "Error: /usr/local/vicompress doesn't exist"
  echo "You must first run make install in the src directory"
  echo "to install the binaries to /usr/local/vicompress."
  echo "Only then can you build the RPM file."
  exit 1
fi

CURRDIR=`pwd`
echo "%define _topdir $CURRDIR" > spec
cat rpmspec.txt >> spec

mkdir BUILD
mkdir RPMS
mkdir SOURCES
mkdir SPECS
mkdir SRPMS
rpmbuild --buildroot $PWD/BUILD -bb spec > out 2>&1
result=$?

name=`find RPMS -name "*.rpm"`
if [ "$name" = "" ]
then
  echo "ERROR: RPM file not created"
  cat out
  rm -rf BUILD RPMS SOURCES SPECS SRPMS BUILDROOT spec out
  exit 1
fi

mv $name .
rm -rf BUILD RPMS SOURCES SPECS SRPMS BUILDROOT spec out

name=`ls *.rpm`
echo "RPM file is $name"



