/*
 * Copyright (c) 2003-2008 Visolve
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _CURRENT_TIME_H_
#define _CURRENT_TIME_H_
#include <time.h>

/*
 * Functions to get and update the current time.
 *
 * Under heavy load, Vicompress calls get_current_time() hundreds of 
 * times per second. The time() function is a system call, so we don't
 * want to call it too often.  Therefore, we only call time() in
 * set_current_time(), which stores the current time in a global variable.
 * The function get_current_time() simply retrieves the global variable.
 */ 

void set_current_time();
time_t get_current_time();

#endif
