/*
 * Copyright (c) 2003-2008 Visolve
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _EPOLL_H_
#define _EPOLL_H_

#include "config.h"
#ifndef HAVE_EPOLL

#include <sys/types.h>
#include <stdint.h>

#define EPOLLIN      1
#define EPOLLPRI     2
#define EPOLLOUT     4
#define EPOLLERR     8
#define EPOLLHUP     16
#define EPOLLONESHOT (1 << 30)
#define EPOLLET      (1 << 31)


#define EPOLL_CTL_ADD 1
#define EPOLL_CTL_DEL 2
#define EPOLL_CTL_MOD 3

/*
typedef unsigned int uint32_t;
typedef unsigned long long uint64_t;
*/

typedef union epoll_data
{
    void *ptr;
    int fd;
    uint32_t u32;
    uint64_t u64;
} epoll_data_t;

struct epoll_event
{
    uint32_t events;
    epoll_data_t data;
};

int epoll_create(int);

int epoll_ctl (int epfd, int op, int fd,
               struct epoll_event *event);

int epoll_wait(int epfd, struct epoll_event *events,
               int maxevents, int timeout);

#endif /* !HAVE_EPOLL */

#endif /* _EPOLL_H_ */

