/*
 * Copyright (c) 2003-2008 Visolve
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _POOL_H_
#define _POOL_H_

struct _Pool {
    int objectsize;         /* The size of the object, in bytes */
    long numalloc;          /* Number of objects allocated (malloced). */
    long maxitems;          /* The maximum number of items to store */
    void** freeitems;       /* The array of free items that can be used */
    long nfreeitems;        /* The number of free items */
};

typedef struct _Pool Pool;

void pool_init(Pool *p, int objectsize, long maxcapacity);
void* pool_alloc(Pool *p);
void pool_free(Pool *p, void *item);
int pool_is_empty(Pool *p);

#endif

