/*
 * Copyright (c) 2003-2008 Visolve
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

/**
 The pooltest will

 1. Create a pool of 10 items.
 2. Allocate and free 1000000 items from the pool.
 3. Allocate 20 items from the pool.

**/

#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#include "pool.h"


int main() {
    Pool *p;
    void* items[20];
    int i;

    printf("pooltest..........");
    p = (Pool *) malloc(sizeof(Pool));
    pool_init(p, sizeof(double), 10);

    for (i = 0; i < 1000000; i++) {
        void *v = pool_alloc(p);
        assert(v != NULL);
        pool_free(p, v);
    }
    
    for (i = 0; i < 20; i++) {
        items[i] = pool_alloc(p);
        assert(items[i] != NULL);
    }

    for (i = 0; i < 20; i++)
        pool_free(p, items[i]);
 
    printf("Pass\n");
    return 0;
}


