/*
 * Copyright (c) 2003-2007 Visolve
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#ifndef _HTTP_H_
#define _HTTP_H_

#define PARSE_ERROR    1
#define PARSE_PARTIAL  2
#define PARSE_DONE     3

#define ID_SIZE 16

struct _HttpRequest 
{
    char url[32];
    short requestlength;
    int contentlength;
    char iscachable;
    char cangzip;
    char parsestatus;
};
typedef struct _HttpRequest HttpRequest;

struct _HttpReply {
    int status;
    short replylength;
    int contentlength;
    char isgzipped;
    char iscached;
    unsigned long crc;
    char parsestatus;
};
typedef struct _HttpReply HttpReply;

int request_parse(HttpRequest *request, char *buf, int len);
int reply_parse(HttpReply *reply, char *buf, int len);

#endif
